package request


type AlibabaWdkorderSharestockInsuranceRefundgetRequest struct {
    /*
        淘宝子订单ID     */
    TbSubOrderId  *string `json:"tb_sub_order_id" required:"true" `
    /*
        退货单ID     */
    RefundId  *string `json:"refund_id" required:"true" `
}

func (s *AlibabaWdkorderSharestockInsuranceRefundgetRequest) SetTbSubOrderId(v string) *AlibabaWdkorderSharestockInsuranceRefundgetRequest {
    s.TbSubOrderId = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceRefundgetRequest) SetRefundId(v string) *AlibabaWdkorderSharestockInsuranceRefundgetRequest {
    s.RefundId = &v
    return s
}

func (req *AlibabaWdkorderSharestockInsuranceRefundgetRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.TbSubOrderId != nil) {
        paramMap["tb_sub_order_id"] = *req.TbSubOrderId
    }
    if(req.RefundId != nil) {
        paramMap["refund_id"] = *req.RefundId
    }
    return paramMap
}

func (req *AlibabaWdkorderSharestockInsuranceRefundgetRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}